#!/bin/bash

VERSION=`python -c "from GroundControl import __version__; print __version__"`

python setup.py sdist
cd ../
mv groundcontrol/dist/groundcontrol-$VERSION.tar.gz groundcontrol_$VERSION.orig.tar.gz
rm -fr groundcontrol-$VERSION
tar xzvf groundcontrol_$VERSION.orig.tar.gz
cp -R debianfiles groundcontrol-$VERSION/debian
rm -fr groundcontrol-$VERSION/debian/.bzr
cd groundcontrol-$VERSION

for RELEASE in jaunty karmic lucid; do
    DEBVER="$VERSION-0${RELEASE}1"
    rm debian/changelog
    dch --create --package=groundcontrol -v $DEBVER --distribution $RELEASE "PPA Release Build"
    debuild -S
done
